How can I install an e107 update?

From e107 Wiki
Jump to: navigation, search

e107 Wiki: English | Русский | Deutsch | Français | Magyar | Português | Български | Česky | Nederlands | Ελληνικά | Italiano | Norske | Polska | Slovenščina | Español | Svenska | Translate: Wiki | Page

logo_wiki.png

Current Release 1.0.4 | e107.org | Download | Changelog | Forum | Plugins | Themes | RSS Feed of Latest Changes | Atom Feed of Latest Changes


Frequently Asked Questions Section of e107 handbook
Main page > I : First Aid > II : Development > III : Administration > IV : How To's > V : Plugin Writing > VI : Theming & Shortcodes


For a new installation, please read Wiki page HOWTO: Install e107.

Contents

Identify your current version

The actual version information is stored in e107_admin/ver.php. The admin screen with Jayya theme displays the e107 installation information at the main screen in the left column. Also the e107 version is displayed there.

e107 New Release Alert

When Admin Area > Preferences > Advanced features > 'Check for E107 updates once/day' is set to 'On' a message will appear if your current version is out of data compared to the latest version published on SourceForge.net.

Selecting the right update

On the e107 download page there are various upgrades to choose from:

 e.g. released is 0.7.21, your current version is 0.7.23; use "e107 0.7.21 to 0.7.23 Upgrade"
  • an update to go from a certain version to the current version
 e.g. released is 0.7.23, your current version is 0.7.19; use "e107 0.7.15 to 0.7.23 Upgrade"
  • an update to go from any other version to the current version
 e.g. released is 0.7.23, your current version is 0.7.11; use "e107 0.7.x to 0.7.23 Upgrade"
  • an update to go from version 0.6 to the current version
 e.g. released is 0.7.23, your current version is 0.6.175; use "e107 0.6175 to 0.7.23 Upgrade"
NOTE: first upgrade to 0.6.175 if you use an older 0.6x version.

Upgrading e107

Review the page: HOWTO:Upgrade to a newer version of e107 0.7xx.

Back to FAQ